eigen3 (3.3~alpha1-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * [a027ad6] Compatibility fix with suitesparse >= 4.4. (Closes: #800101)

 -- Anton Gladky <gladk@debian.org>  Fri, 02 Oct 2015 23:09:25 +0200

eigen3 (3.3~alpha1-1) unstable; urgency=medium

  * [a103fdb] Move from experimental to unstable.

 -- Anton Gladky <gladk@debian.org>  Sat, 26 Sep 2015 21:33:35 +0200

eigen3 (3.2.5-6) unstable; urgency=medium

  * [43675b3] Remove testing of SSE4* instructions.

 -- Anton Gladky <gladk@debian.org>  Wed, 23 Sep 2015 20:15:00 +0200

eigen3 (3.2.5-5) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * [85ad499] Quick fix for cmake_3.3. (Closes: #799660)

 -- Anton Gladky <gladk@debian.org>  Tue, 22 Sep 2015 23:04:50 +0200

eigen3 (3.3~alpha1-1~exp2) experimental; urgency=medium

  * [653c5aa] Remove testing of SSE4* instructions.

 -- Anton Gladky <gladk@debian.org>  Sun, 06 Sep 2015 23:48:16 +0200

eigen3 (3.3~alpha1-1~exp1) experimental; urgency=medium

  * [a103fdb] Imported Upstream version 3.3~alpha1
  * [e6f2345] Refresh patches.
  * [bdbabcf] Do not install FindEigen3.cmake as a cmake private file.
  * [0e44d3e] Update upstream changelog.

 -- Anton Gladky <gladk@debian.org>  Sun, 06 Sep 2015 19:00:30 +0200

eigen3 (3.2.5-4) unstable; urgency=medium

  * [0bcd692] Remove compressed doc

 -- Anton Gladky <gladk@debian.org>  Fri, 19 Jun 2015 08:21:36 +0200

eigen3 (3.2.5-3) unstable; urgency=medium

  * [ec8931a] Remove the line, which causes unreproducible builds.

 -- Anton Gladky <gladk@debian.org>  Thu, 18 Jun 2015 18:54:47 +0200

eigen3 (3.2.5-2) unstable; urgency=medium

  * [a0de5f3] Prevent HTML_TIMESTAMP in documentation.

 -- Anton Gladky <gladk@debian.org>  Wed, 17 Jun 2015 06:30:14 +0200

eigen3 (3.2.5-1) unstable; urgency=medium

  * [e41b6fe] Imported Upstream version 3.2.5
  * [c1ea569] Refresh patches.
  * [5bbc45b] Update upstream changelog.

 -- Anton Gladky <gladk@debian.org>  Tue, 16 Jun 2015 21:11:46 +0200

eigen3 (3.2.4-3) unstable; urgency=medium

  [ Andrew Lee (李健秋) ]
  * [388a27f] d/rules: drop hardcoded -j$(NUMJOBS) option.

  [ Anton Gladky ]
  * [b831518] Provide symlink of FindEigen3.cmake for cmake-3.2. 
              (Closes: #784767)

 -- Anton Gladky <gladk@debian.org>  Tue, 19 May 2015 23:46:03 +0200

eigen3 (3.2.4-2) unstable; urgency=medium

  * [043cc4f] Fix defining the number of cores (-j). (Closes: #784269)

 -- Anton Gladky <gladk@debian.org>  Mon, 04 May 2015 22:02:49 +0200

eigen3 (3.2.4-1) unstable; urgency=medium

  * [c0d31d1] Apply cme fix dpkg-control
  * Move package from experimental to unstable

 -- Anton Gladky <gladk@debian.org>  Mon, 27 Apr 2015 19:51:42 +0200

eigen3 (3.2.4-1~exp1) experimental; urgency=medium

  * [baa7e37] Imported Upstream version 3.2.4
  * [22ccf47] Refresh patches.
  * [e85f689] Refresh d/copyright.
  * [886fe1e] Set Standards-Version: 3.9.6. No changes.
  * [57450ef] Remove symbolik link on cmake-2.8 module.

 -- Anton Gladky <gladk@debian.org>  Mon, 26 Jan 2015 21:52:54 +0100

eigen3 (3.2.2-3) unstable; urgency=medium

  * [b8a0d9f] Fix compilation warning in LDLT.h

 -- Anton Gladky <gladk@debian.org>  Mon, 08 Sep 2014 23:03:40 +0200

eigen3 (3.2.2-2) unstable; urgency=medium

  * [67c0df4] Provide symlink for cmake-3.0. (Closes: #758253)

 -- Anton Gladky <gladk@debian.org>  Sat, 23 Aug 2014 17:31:09 +0200

eigen3 (3.2.2-1) unstable; urgency=medium

  * [060d848] Imported Upstream version 3.2.2
  * [9168c3a] Refresh patches.

 -- Anton Gladky <gladk@debian.org>  Tue, 12 Aug 2014 21:47:40 +0200

eigen3 (3.2.1-2) unstable; urgency=medium

  * [2044fe6] Add autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Sun, 11 May 2014 23:12:57 +0200

eigen3 (3.2.1-1) unstable; urgency=medium

  * [62dde2a] Imported Upstream version 3.2.1
  * [fea9591] Remove applied patches.
  * [bb1c8b6] Update/rename patches.
  * [1e623ff] Replace ttf-freefont by fonts-freefont-ttf. (Closes: #738232)

 -- Anton Gladky <gladk@debian.org>  Thu, 27 Feb 2014 20:08:17 +0100

eigen3 (3.2.0-8) unstable; urgency=medium

  * [93ce22f] Add Provides section for eigen2 package. 
              Prepare for eigen2 removal.

 -- Anton Gladky <gladk@debian.org>  Wed, 05 Feb 2014 19:45:59 +0100

eigen3 (3.2.0-7) unstable; urgency=medium

  [ Philipp Büttgenbach ]
  * [2311eec] Fix spline module. (Closes: #736985)

  [ Anton Gladky ]
  * [acab013] Remove piwik scripts.
  * [dd630a6] Ignore quilt dir

 -- Anton Gladky <gladk@debian.org>  Thu, 30 Jan 2014 21:53:10 +0100

eigen3 (3.2.0-6) unstable; urgency=medium

  * [6d44773] Add libmrpt-dev to Suggests section of libeigen3-dev. 
              (Closes: #731050)
  * [c700ee9] Bump Standards-Version: 3.9.5. No changes.
  * [38ab047] Port unsupported constrained CG to Eigen3. 
              Thanks to Gael Guennebaud <gael.guennebaud@gmail.com>
  * [d8b7945] Remove build type check in cmake.

 -- Anton Gladky <gladk@debian.org>  Wed, 15 Jan 2014 22:17:03 +0100

eigen3 (3.2.0-5) unstable; urgency=low

  * [f9969f0] Remove BVH_example (segfault).
  * [d3e62d1] Install FindEigen3.cmake into /usr/share/cmake-2.8/Modules 
              not to duplicate it in many packages.
  * [c7dd8d6] Use wrap-and-sort.

 -- Anton Gladky <gladk@debian.org>  Sat, 09 Nov 2013 21:48:09 +0100

eigen3 (3.2.0-4) unstable; urgency=low

  * [f512ba5] Revert libeigen3-dev arch to "all" again.

 -- Anton Gladky <gladk@debian.org>  Tue, 06 Aug 2013 18:42:30 +0200

eigen3 (3.2.0-3) unstable; urgency=low

  * [a8692a3] Remove all third-party math-packages from Build-Depends.
              Only the basic functionality of the package will be tested.

 -- Anton Gladky <gladk@debian.org>  Tue, 30 Jul 2013 17:25:24 +0200

eigen3 (3.2.0-2) unstable; urgency=low

  * [cc4e1eb] Use SSE-options only on archs, where it should be supported.

 -- Anton Gladky <gladk@debian.org>  Fri, 26 Jul 2013 08:38:02 +0200

eigen3 (3.2.0-1) unstable; urgency=low

  [ Bart Martens ]
  * [c61c475] Update debian/watch.

  [ Anton Gladky ]
  * [415b387] Imported Upstream version 3.2.0
  * [3d93cf4] Change libeigen3-dev architecture from "all" to "any" 
              to run autotests on all platforms.
  * [6d377ea] Suppress FTBFS if autotests failed. Build-logs will be analyzed 
              manually to notify upstream.
  * [37d22f4] Enable all possible test-options.
  * [f42c2d8] Update upstream changelog.
  * [060af1f] Use libmetis-dev instead of libscotch-dev.
  * [ff4d4ff] Remove ALTIVEC and NEON options.

 -- Anton Gladky <gladk@debian.org>  Thu, 25 Jul 2013 08:13:14 +0200

eigen3 (3.1.3-2) unstable; urgency=low

  * [53fdb1b] Use canonical VCS-field.
  * [b7f349f] Disable some unsupported unreliable tests. (Closes: #713758)
  * [1b9f29e] Add dependency on pkg-config. (Closes: #710915)

 -- Anton Gladky <gladk@debian.org>  Sun, 23 Jun 2013 21:05:30 +0200

eigen3 (3.1.3-1) unstable; urgency=low

  * [52a3539] Update dates in copyright.
  * [f22ef64] Return FTBFS if the autotest fails.
  * [60b2388] Respect nocheck option.

 -- Anton Gladky <gladk@debian.org>  Mon, 06 May 2013 20:58:32 +0200

eigen3 (3.1.3-1~exp1) experimental; urgency=low

  * [a1655c2] Imported Upstream version 3.1.3
  * [dd7e62a] Update upstream changelog.
  * [28c0a41] Remove applied by upstream patch.

 -- Anton Gladky <gladk@debian.org>  Tue, 16 Apr 2013 22:01:43 +0200

eigen3 (3.1.2-1~exp4) experimental; urgency=low

  * [8ec0e8a] Use autotests again, but only on maintainer`s machine.
  * [6b9b97d] Remove obsolete DM-Upload-Allowed flag.
  * [7b259f2] Disable mpreal test.
  * [93ac3ed] Bump Standards-Version: 3.9.4. No changes.
  * [97fc55c] Update Format-field in copyright-file.
  * [4e622d2] Update changelog.

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 24 Dec 2012 20:41:44 +0100

eigen3 (3.1.2-1~exp3) experimental; urgency=low

  * [35dbfe8] Use Architecture: all for libeigen3-dev.
  * [dd8fdd8] Disable autotests. They are useless during build-time.
  * [130aa31] Remove build-depends, which were needed for tests.

 -- Anton Gladky <gladky.anton@gmail.com>  Sun, 18 Nov 2012 19:44:32 +0100

eigen3 (3.1.2-1~exp2) experimental; urgency=low

  * [e2f4976] Disable mpreal test, because it fails to compile 
              on ia64 and s390x.

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 17 Nov 2012 22:04:58 +0100

eigen3 (3.1.2-1~exp1) experimental; urgency=low

  * [edee200] Enable hardening of build-flags for autotests.
  * [486ffa0] Disable autotests on weak archs: mips mipsel armel armhf.
  * [cc47a2d] Add some packages to build-depends to enable some more autotests.
  * [4b72bfc] Imported Upstream version 3.1.2
  * [5b26c4c] Update upstream changelog.
  * [46aa476] Update copyright-file.

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 07 Nov 2012 22:48:29 +0100

eigen3 (3.1.0-1) unstable; urgency=low

  * [a7c25ad] Imported Upstream version 3.1.0

 -- Anton Gladky <gladky.anton@gmail.com>  Thu, 28 Jun 2012 20:21:37 +0200

eigen3 (3.1.0~rc1-1) unstable; urgency=low

  * [a979565] Imported Upstream version 3.1.0~rc1

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 18 Jun 2012 21:20:48 +0200

eigen3 (3.1.0~beta1-1) unstable; urgency=low

  * [aa702fd] Imported Upstream version 3.1.0~beta1
  * [5d018e5] Remove patch, applied by upstream.

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 06 Jun 2012 23:06:42 +0200

eigen3 (3.0.6~beta~hg6804713-1) unstable; urgency=low

  * [3eae9c8] Use enabled build-indep option.
  * [4beae61] Use Standards-Version: 3.9.3. No changes.
  * [5172da1] Disable BVH-test due to FTBFS with gcc-4.7. (Closes: #674305)
  * [bed656c] Imported Upstream version 3.0.6~beta~hg6804713. (Closes: #670134)
  * [2618217] Import flags with dpkg-buildflags. 

 -- Anton Gladky <gladky.anton@gmail.com>  Thu, 24 May 2012 22:25:38 +0200

eigen3 (3.0.5-1) unstable; urgency=low

  * [c7643f2] Imported Upstream version 3.0.5
  * [111f10e] Remove unneeded patch.
  * [d996dcb] Use debhelper 9.

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 11 Feb 2012 07:09:59 +0100

eigen3 (3.0.4-1) unstable; urgency=low

  * [0207b32] Fix typo. (Closes: #644740)
  * [b1b90b9] Imported Upstream version 3.0.4
  * [2212e30] Fix doc-generation (patch).

 -- Anton Gladky <gladky.anton@gmail.com>  Tue, 06 Dec 2011 21:48:27 +0100

eigen3 (3.0.3-1) unstable; urgency=low

  * [66ba545] Move Eigen3 API documentation to the Programming/C++ 
              doc-base section. (Closes: #640700)
  * [97cefd7] Update copyright-file. Clean lintian-warning.
  * [c10884b] Imported Upstream version 3.0.3
  * [3a0e6e1] Remove patch, applied by upstream (eigen2-support
              in geometry-module).
  * [ac77708] Fix pkgconfig path. Did not work in clean environment.

 -- Anton Gladky <gladky.anton@gmail.com>  Thu, 06 Oct 2011 23:32:41 +0200

eigen3 (3.0.2-2) unstable; urgency=low

  * [6ed3c4b] Fix eigen2-support in geometry-module.

 -- Anton Gladky <gladky.anton@gmail.com>  Sun, 28 Aug 2011 23:49:07 +0300

eigen3 (3.0.2-1) unstable; urgency=low

  * [ced3ed6] Imported Upstream version 3.0.2
  * [235b927] Delete patches, which were fixed by upstream.

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 26 Aug 2011 21:30:18 +0300

eigen3 (3.0.1-1) unstable; urgency=low

  * [a67d377] Imported Upstream version 3.0.1
  * [15bbc31] Remove applied by upstream patch (GCC-4.6 compilation issue)
  * [1d6c4c0] Switch to compat 8.
  * [44e01c6] Add Build-Depends-Indep.
  * [93587bd] Enabled verbose mode for tests.

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 30 May 2011 21:10:28 +0200

eigen3 (3.0.0-2) unstable; urgency=low

  * [78ebf3d] Change fix "compilation error with GCC-4.6". 
     Applied by upstream. Add "using std::ptrdiff_t" instead of fixing it
     in many places.
  * [d6f36bc] Switch to Standards-Version: 3.9.2 (no changes).
  * [f2374a3] Prevent doc-creation on each build. 
     Hopefully fixes FTBS on kfreebsd* and armel platforms.
  * [87a5359] Enable debug-mode for test-units

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 23 May 2011 19:48:48 +0200

eigen3 (3.0.0-1) unstable; urgency=low

  * New upstream release (Closes: #619784)
  * Switch to dpkg-source 3.0 (quilt) format.
  * DEP-5 for copyright file.
  * Add watch file.
  * Add doc-base file.
  * Add upstream Changelog file from upstream-website.
  * Migrate from cdbs to debhelper.

 -- Anton Gladky <gladky.anton@gmail.com>  Sun, 27 Mar 2011 01:33:48 +0100

eigen2 (2.0.15-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Add Vcs fields to debian/control.

  [ Ana Beatriz Guerrero Lopez ]
  * Fix FTBFS in hppa, patch build-snippets-with-O2. (Closes: #591576)
    It workarounds some kind of problem with the compiler flags order.
  * Update to Standards-Version 3.9.1, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 05 Aug 2010 11:40:59 -0400

eigen2 (2.0.14-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 27 Jun 2010 13:43:26 +0200

eigen2 (2.0.12-1) unstable; urgency=low

  * New upstream release. (Closes: #570961)

  [ Lisandro Damián Nicanor Pérez Meyer]
  * Bumped standars to 3.8.4.0, no changes needed.
  * Updated copyright file.

  [ Pino Toscano ]
  * Install the eigen2.pc pkgconfig file.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 21 Apr 2010 03:20:17 +0200

eigen2 (2.0.5-2) unstable; urgency=low

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Make libeigen-doc Arch:all.

  +++ Changes by Armin Berres:

  * Build conflict with doxygen 1.6.0-1, it is buggy and can not build the
    documentation (Closes: #543485).
  * Add build dependencies texlive-latex-base and ghostscript.
  * Set DEB_DH_INSTALL_SOURCEDIR to debian/tmp and add libeigen2-dev.install,
    otherwise the package is empty (Closes: #543459).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 26 Aug 2009 15:56:23 +0200

eigen2 (2.0.5-1) unstable; urgency=low

  * New upstream release.
  * Add libeigen2-doc.
  * Upgrade standards version to 3.8.3. No changes needed.
  * Update copyrights file.

 -- Armin Berres <armin+debian@space-based.de>  Sun, 23 Aug 2009 12:53:08 +0200

eigen2 (2.0.4-1) unstable; urgency=low

  * New upstream release.
  * Skip building the testcase if DEB_BUILD_OPTIONS=nocheck is set
    (Closes: #537408).

 -- Armin Berres <armin+debian@space-based.de>  Wed, 05 Aug 2009 01:41:58 +0200

eigen2 (2.0.3-1) unstable; urgency=low

  * New upstream release

 -- Armin Berres <armin+debian@space-based.de>  Sun, 21 Jun 2009 16:37:49 -0400

eigen2 (2.0.1-1) unstable; urgency=low

  * New upstream release

 -- Armin Berres <armin+debian@space-based.de>  Fri, 15 May 2009 13:09:51 -0400

eigen2 (2.0.0-3) unstable; urgency=low

  * Upload to unstable (for real).

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 18 Feb 2009 20:55:55 +0100

eigen2 (2.0.0-2) experimental; urgency=low

  * Upload to unstable.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 18 Feb 2009 18:22:20 +0100

eigen2 (2.0.0-1) experimental; urgency=low

  * New upstream release.
  * Build and execute the test cases, but do not abort the build if a test
    fails.
  * Replace "Eigen" with "Eigen 2" in the long description.
  * Change from Arch:all to Arch:any to run the testsuite.
  * Add myself to Uploaders.

 -- Armin Berres <armin+debian@space-based.de>  Tue, 03 Feb 2009 13:59:54 +0100

eigen2 (2.0~beta6-1) experimental; urgency=low

  * New upstream release.
  * Eigen2 now requires cmake 2.6.2 or higher that is currently in
    experimental, added versioned build-depend.
  * Add myself to Uploaders.
  * Remove unusued lintian overrides.
  * Update copyright: years and replace (C) with ©.
  * Bump to Standards-Version: 3.8.0, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 12 Jan 2009 23:03:09 +0100

eigen2 (2.0~beta2-1) unstable; urgency=low

  * New upstream release (Closes: 509128)

 -- Sune Vuorela <debian@pusling.com>  Sun, 21 Dec 2008 17:08:04 +0100

eigen2 (2.0~beta1-1) unstable; urgency=low

  * New upstream releas (beta1).
  * Use cdbs cmake file instead of pkg-kde cdbs dir; drop quilt
    build-dependency

 -- Sune Vuorela <debian@pusling.com>  Thu, 18 Sep 2008 22:36:04 +0200

eigen2 (2~~svn850507-1) unstable; urgency=low

  * First upload of eigen2.
    - for now needs to be coinstallable with eigen. Will later replace it.

 -- Sune Vuorela <debian@pusling.com>  Thu, 21 Aug 2008 21:45:32 +0200
